| AI Engine-ML v2 Intrinsics User Guide v2025.2

Loading...
Searching...
No Matches
Multiply-accumulate of float16 datatypes
Vector Operations » Multiply Accumulate

## elem_64
v64accfloat | mul_elem_64 (v64float16 a, v64float16 b)
v64accfloat | negmul_elem_64 (v64float16 a, v64float16 b)
v64accfloat | mac_elem_64 (v64float16 a, v64float16 b, v64accfloat acc)
v64accfloat | msc_elem_64 (v64float16 a, v64float16 b, v64accfloat acc)
v64accfloat | addmac_elem_64 (v64float16 a, v64float16 b, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_elem_64 (v64float16 a, v64float16 b, v64accfloat acc1, v64accfloat acc2)

## elem_64 with dynamic sign
v64accfloat | mul_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y)
v64accfloat | negmul_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y)
v64accfloat | mac_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc)
v64accfloat | msc_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc)
v64accfloat | addmac_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)
v64accfloat | addmsc_elem_64 (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc1, v64accfloat acc2)

## elem_64 with dynamic negation of multiplication result
v64accfloat | mul_elem_64_conf (v64float16 a, v64float16 b, int sub_mul)
v64accfloat | negmul_elem_64_conf (v64float16 a, v64float16 b, int sub_mul)

## elem_64 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v64accfloat | mac_elem_64_conf (v64float16 a, v64float16 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_elem_64_conf (v64float16 a, v64float16 b, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_elem_64_conf (v64float16 a, v64float16 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_elem_64_conf (v64float16 a, v64float16 b, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## elem_64 with dynamic sign and dynamic negation of multiplication result
v64accfloat | mul_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, int sub_mul)
v64accfloat | negmul_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, int sub_mul)
v64accfloat | mac_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | msc_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v64accfloat | addmac_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v64accfloat | addmsc_elem_64_conf (v64float16 a, int sgn_x, v64float16 b, int sgn_y, v64accfloat acc1, v64accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## elem_32
v32accfloat | mul_elem_32 (v32float16 a, v32float16 b)
v32accfloat | negmul_elem_32 (v32float16 a, v32float16 b)
v32accfloat | mac_elem_32 (v32float16 a, v32float16 b, v32accfloat acc)
v32accfloat | msc_elem_32 (v32float16 a, v32float16 b, v32accfloat acc)
v32accfloat | addmac_elem_32 (v32float16 a, v32float16 b, v32accfloat acc1, v32accfloat acc2)
v32accfloat | addmsc_elem_32 (v32float16 a, v32float16 b, v32accfloat acc1, v32accfloat acc2)

## elem_32 with dynamic sign
v32accfloat | mul_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y)
v32accfloat | negmul_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y)
v32accfloat | mac_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc)
v32accfloat | msc_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc)
v32accfloat | addmac_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2)
v32accfloat | addmsc_elem_32 (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2)

## elem_32 with dynamic negation of multiplication result
v32accfloat | mul_elem_32_conf (v32float16 a, v32float16 b, int sub_mul)
v32accfloat | negmul_elem_32_conf (v32float16 a, v32float16 b, int sub_mul)

## elem_32 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v32accfloat | mac_elem_32_conf (v32float16 a, v32float16 b, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | msc_elem_32_conf (v32float16 a, v32float16 b, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | addmac_elem_32_conf (v32float16 a, v32float16 b, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v32accfloat | addmsc_elem_32_conf (v32float16 a, v32float16 b, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## elem_32 with dynamic sign and dynamic negation of multiplication result
v32accfloat | mul_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, int sub_mul)
v32accfloat | negmul_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, int sub_mul)
v32accfloat | mac_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | msc_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | addmac_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v32accfloat | addmsc_elem_32_conf (v32float16 a, int sgn_x, v32float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## 4x8_8x8
v32accfloat | mul_4x8_8x8 (v32float16 a, v64float16 b)
v32accfloat | negmul_4x8_8x8 (v32float16 a, v64float16 b)
v32accfloat | mac_4x8_8x8 (v32float16 a, v64float16 b, v32accfloat acc)
v32accfloat | msc_4x8_8x8 (v32float16 a, v64float16 b, v32accfloat acc)
v32accfloat | addmac_4x8_8x8 (v32float16 a, v64float16 b, v32accfloat acc1, v32accfloat acc2)
v32accfloat | addmsc_4x8_8x8 (v32float16 a, v64float16 b, v32accfloat acc1, v32accfloat acc2)

## 4x8_8x8 with dynamic sign
v32accfloat | mul_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y)
v32accfloat | negmul_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y)
v32accfloat | mac_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc)
v32accfloat | msc_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc)
v32accfloat | addmac_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2)
v32accfloat | addmsc_4x8_8x8 (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2)

## 4x8_8x8 with dynamic negation of multiplication result
v32accfloat | mul_4x8_8x8_conf (v32float16 a, v64float16 b, int sub_mul)
v32accfloat | negmul_4x8_8x8_conf (v32float16 a, v64float16 b, int sub_mul)

## 4x8_8x8 with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v32accfloat | mac_4x8_8x8_conf (v32float16 a, v64float16 b, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | msc_4x8_8x8_conf (v32float16 a, v64float16 b, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | addmac_4x8_8x8_conf (v32float16 a, v64float16 b, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v32accfloat | addmsc_4x8_8x8_conf (v32float16 a, v64float16 b, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## 4x8_8x8 with dynamic sign and dynamic negation of multiplication result
v32accfloat | mul_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, int sub_mul)
v32accfloat | negmul_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, int sub_mul)
v32accfloat | mac_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | msc_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc, int zero_acc, int sub_mul, int sub_acc1)
v32accfloat | addmac_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v32accfloat | addmsc_4x8_8x8_conf (v32float16 a, int sgn_x, v64float16 b, int sgn_y, v32accfloat acc1, v32accfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## Detailed Description

## Function Documentation

## ◆ addmac_4x8_8x8() [1/2]

v32accfloat addmac_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmac_4x8_8x8() [2/2]

v32accfloat addmac_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmac_4x8_8x8_conf() [1/2]

v32accfloat addmac_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_4x8_8x8_conf() [2/2]

v32accfloat addmac_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_32() [1/2]

v32accfloat addmac_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmac_elem_32() [2/2]

v32accfloat addmac_elem_32 | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmac_elem_32_conf() [1/2]

v32accfloat addmac_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_32_conf() [2/2]

v32accfloat addmac_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64() [1/2]

v64accfloat addmac_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_elem_64() [2/2]

v64accfloat addmac_elem_64 | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmac_elem_64_conf() [1/2]

v64accfloat addmac_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmac_elem_64_conf() [2/2]

v64accfloat addmac_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_4x8_8x8() [1/2]

v32accfloat addmsc_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmsc_4x8_8x8() [2/2]

v32accfloat addmsc_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmsc_4x8_8x8_conf() [1/2]

v32accfloat addmsc_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_4x8_8x8_conf() [2/2]

v32accfloat addmsc_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_32() [1/2]

v32accfloat addmsc_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmsc_elem_32() [2/2]

v32accfloat addmsc_elem_32 | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2 )

## ◆ addmsc_elem_32_conf() [1/2]

v32accfloat addmsc_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_32_conf() [2/2]

v32accfloat addmsc_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc1,
|  | v32accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64() [1/2]

v64accfloat addmsc_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_elem_64() [2/2]

v64accfloat addmsc_elem_64 | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2 )

## ◆ addmsc_elem_64_conf() [1/2]

v64accfloat addmsc_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ addmsc_elem_64_conf() [2/2]

v64accfloat addmsc_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc1,
|  | v64accfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

## ◆ mac_4x8_8x8() [1/2]

v32accfloat mac_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc )

## ◆ mac_4x8_8x8() [2/2]

v32accfloat mac_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc )

## ◆ mac_4x8_8x8_conf() [1/2]

v32accfloat mac_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_4x8_8x8_conf() [2/2]

v32accfloat mac_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_32() [1/2]

v32accfloat mac_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc )

## ◆ mac_elem_32() [2/2]

v32accfloat mac_elem_32 | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc )

## ◆ mac_elem_32_conf() [1/2]

v32accfloat mac_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_32_conf() [2/2]

v32accfloat mac_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64() [1/2]

v64accfloat mac_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ mac_elem_64() [2/2]

v64accfloat mac_elem_64 | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc )

## ◆ mac_elem_64_conf() [1/2]

v64accfloat mac_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mac_elem_64_conf() [2/2]

v64accfloat mac_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_4x8_8x8() [1/2]

v32accfloat msc_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc )

## ◆ msc_4x8_8x8() [2/2]

v32accfloat msc_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc )

## ◆ msc_4x8_8x8_conf() [1/2]

v32accfloat msc_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_4x8_8x8_conf() [2/2]

v32accfloat msc_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_32() [1/2]

v32accfloat msc_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc )

## ◆ msc_elem_32() [2/2]

v32accfloat msc_elem_32 | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc )

## ◆ msc_elem_32_conf() [1/2]

v32accfloat msc_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_32_conf() [2/2]

v32accfloat msc_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | v32accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64() [1/2]

v64accfloat msc_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc )

## ◆ msc_elem_64() [2/2]

v64accfloat msc_elem_64 | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc )

## ◆ msc_elem_64_conf() [1/2]

v64accfloat msc_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ msc_elem_64_conf() [2/2]

v64accfloat msc_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | v64accfloat | acc,
|  | int | zero_acc,
|  | int | sub_mul,
|  | int | sub_acc1 )

## ◆ mul_4x8_8x8() [1/2]

v32accfloat mul_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y )

## ◆ mul_4x8_8x8() [2/2]

v32accfloat mul_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b )

## ◆ mul_4x8_8x8_conf() [1/2]

v32accfloat mul_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_4x8_8x8_conf() [2/2]

v32accfloat mul_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | int | sub_mul )

## ◆ mul_elem_32() [1/2]

v32accfloat mul_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y )

## ◆ mul_elem_32() [2/2]

v32accfloat mul_elem_32 | ( | v32float16 | a,
|  | v32float16 | b )

## ◆ mul_elem_32_conf() [1/2]

v32accfloat mul_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_32_conf() [2/2]

v32accfloat mul_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | int | sub_mul )

## ◆ mul_elem_64() [1/2]

v64accfloat mul_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y )

## ◆ mul_elem_64() [2/2]

v64accfloat mul_elem_64 | ( | v64float16 | a,
|  | v64float16 | b )

## ◆ mul_elem_64_conf() [1/2]

v64accfloat mul_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ mul_elem_64_conf() [2/2]

v64accfloat mul_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | int | sub_mul )

## ◆ negmul_4x8_8x8() [1/2]

v32accfloat negmul_4x8_8x8 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y )

## ◆ negmul_4x8_8x8() [2/2]

v32accfloat negmul_4x8_8x8 | ( | v32float16 | a,
|  | v64float16 | b )

## ◆ negmul_4x8_8x8_conf() [1/2]

v32accfloat negmul_4x8_8x8_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_4x8_8x8_conf() [2/2]

v32accfloat negmul_4x8_8x8_conf | ( | v32float16 | a,
|  | v64float16 | b,
|  | int | sub_mul )

## ◆ negmul_elem_32() [1/2]

v32accfloat negmul_elem_32 | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_32() [2/2]

v32accfloat negmul_elem_32 | ( | v32float16 | a,
|  | v32float16 | b )

## ◆ negmul_elem_32_conf() [1/2]

v32accfloat negmul_elem_32_conf | ( | v32float16 | a,
|  | int | sgn_x,
|  | v32float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_32_conf() [2/2]

v32accfloat negmul_elem_32_conf | ( | v32float16 | a,
|  | v32float16 | b,
|  | int | sub_mul )

## ◆ negmul_elem_64() [1/2]

v64accfloat negmul_elem_64 | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y )

## ◆ negmul_elem_64() [2/2]

v64accfloat negmul_elem_64 | ( | v64float16 | a,
|  | v64float16 | b )

## ◆ negmul_elem_64_conf() [1/2]

v64accfloat negmul_elem_64_conf | ( | v64float16 | a,
|  | int | sgn_x,
|  | v64float16 | b,
|  | int | sgn_y,
|  | int | sub_mul )

## ◆ negmul_elem_64_conf() [2/2]

v64accfloat negmul_elem_64_conf | ( | v64float16 | a,
|  | v64float16 | b,
|  | int | sub_mul )